#!/bin/bash
#
# COPYRIGHT INFORMATION - DO NOT REMOVE
#
# This file is part of the MagicSpam (TM) Project and is
# Copyright (c) LinuxMagic Inc. 2016-2017 All Rights Reserved
#
# This file contains Original Code as created by LinuxMagic Inc.
#
# The Original Code is distributed on an 'AS IS' basis,
# WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC
# HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
# ENJOYMENT OR NON-INFRINGEMENT.
#
# Do NOT download, distribute, use or alter this software or file in any
# way without express written permission from LinuxMagic Inc. or its parent
# company Wizard Tower TechnoServices signed by an authorized company officer.
#
# Author(s): Shaun A. Johnson <shaun@linuxmagic.com>
#
# $Id$
#
export PATH=/bin:/usr/bin:/usr/local/bin:/sbin:/usr/sbin:/usr/local/sbin

if [ ! -x "/etc/init.d/magicspam-daemon" ]; then
    >&2 echo "Missing init script: is MagicSpam installed?"
    exit 3
fi

if [ ! -x "/etc/init.d/magicspam-milter" ]; then
    >&2 echo "Missing init script: is MagicSpam installed?"
    exit 3
fi

/etc/init.d/magicspam-daemon status >/dev/null 2>&1
if [ $? -ne 0 ]; then
    >&2 echo "MagicSpam Processing Daemon is not running"
    exit 1
fi


/etc/init.d/magicspam-milter status >/dev/null 2>&1
if [ $? -ne 0 ]; then
    >&2 echo "MagicSpam Postfix Milter is not running"
    exit 1
fi

