/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * This file is part of the MagicSpam (TM) Project and is
 * Copyright (c) LinuxMagic Inc. 2017-2018 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc.
 *
 * The Original Code is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
 * ENJOYMENT OR NON-INFRINGEMENT.
 *
 * Do NOT download, distribute, use or alter this software or file in any
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Logan Borean <loganb@linuxmagic.com>
 *
 * $Id:
 */
"use strict";

function loadSaStatsChart() {
    var ctx = document.getElementById("bar-chart").getContext('2d');
    var config = {
        type: 'bar',
        data: {
          labels: [MS.i18n['totalProcessedLabelJS'], MS.i18n['totalTriggeredLabelJS'], MS.i18n['totalEvadedLabelJS']],
          datasets: [
            {
              label: "Messages",
              backgroundColor: ["#3e95cd", "#8e5ea2","#3cba9f"],
              data: [total_processed, total_triggered, total_evaded]
            }
          ]
        },
        options: {
          responsive: true,
          legend: { display: false },
          title: {
            display: true,
            text: 'Today\'s SpamAssassin Stats'
          },
            scales: {
                yAxes: [{
                    ticks: {
                        beginAtZero:true
                    }
                }]
            }
        }
    };
 
    if (typeof define == "function" && define.amd) {
        require(['js/Chart.bundle.min.js'], function(Chart) {
            window.myLine = new Chart(ctx, config);
        });
    // otherwise this is likely Plesk 12.
    } else {
        window.myLine = new Chart(ctx, config);
    }

}

document.addEventListener('DOMContentLoaded', loadSaStatsChart);
