/* 
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * Copyright (c) LinuxMagic Inc. 2011-2013 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc. 
 *
 * The Original Code is distributed on an 'AS IS' basis, 
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC 
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY 
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET 
 * ENJOYMENT OR NON-INFRINGEMENT. 
 *
 * Do NOT download, distribute, use or alter this software or file in any 
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Sean West <sean@linuxmagic.com>
 *
 * $Id: check-enabled.js 4221 2014-11-04 23:28:57Z shaun $
 */

//! toggles enabling / disabling  an edit control when the check box is clicked
/*
 * @param object checkObj the checkbox
 *
 * @param object formObj the control to enable or disable
 *
 * @param string val the value to set in the formObj control
 *
 * @return void used to exit function early
 *
 * @author  Sean West <sean@linuxmagic.com>
 * 
 * SIDE EFFECTS: may return early if the checkbox/form/val is null
 */
function checkEnabled(checkObj, formObj, val) {
    if (!checkObj || !formObj || !val) {
        return;
    }
    if (checkObj.checked == 1) {
        formObj.disabled = "";
        formObj.value = val;
    } else {
        formObj.disabled = "disabled";
        formObj.value = val;
    }
}

