//! formats a string to the mask string
/*
 * @param object src the value in the control to be formatted
 *
 * @return void
 * 
 * SIDE EFFECT: src.value will be set by this function
 *
 * @return empty src is invalid
 *
 * @author Peter Chung <peterc@linuxmagic.com>
 */
function formatLicense(src) {
    // safety first
    if (!src) {
        return;
    }
    var data = src.value;
    if (typeof data != 'string' || !data.length) {
        return;
    }
    // the mask to compare against
    var mask_string  = "XXXXXX-XXXXXX-XXXXXX-XXX-XXXXXX-XXXXXX";
    // the valid string, no way to trim, check numeric or alphabets in js
    // using regex is too expensive
    var valid_string = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    var final_string="";
    var index_counter=0;
    for (var i=0; i < data.length; i++) {
        if ( valid_string.indexOf(data.charAt(i) ) >- 1) {
            if ( mask_string.charAt(index_counter) == "-" ) {
                final_string += "-";  // found a - append to string
                index_counter++;      // advance the index
            } else {

            }
            final_string += data.charAt(i);
            index_counter++;
        }
    }
    final_string = final_string.substring(0,38);
    src.value = final_string;
}

//! clears the license form
/*
 * SIDE EFFECT: controls will be set by collatedLicenses function.
 *
 * @author Peter Chung <peterc@linuxmagic.com>
 */
function clearLicenseForm() {
    var licenseForm = document.forms['licenseForm'];
    if (!licenseForm) {
        alert("Can't find license form");
        return;
    }
    var lkey = licenseForm.elements['licenseKey'];
    if (!lkey) {
        alert("Can't find input element");
        return;
    }

    lkey.value = "";
    lkey.focus(); 
}

//! method to 'remove' a license key
/*!
 * @param   string  the id assigned to the primary form
 */
function removeLicenseKey(form) {
    if (!form) {
        return true; 
    }
    var action = form.ms_action;
    if (!action) {
        return true;
    }

    if (!confirm(MS.intl('confirm_license_remove'))) {
        return true;
    }
    action.value = "removeLicense";
    form.submit();
}

function focusField() {
    var keyinput = document.getElementById('licenseKeyInput');
    if (!keyinput) {
        return;
    }
    keyinput.focus();
}

addLoadEvent(focusField);
