/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * Copyright (c) LinuxMagic Inc. 2011-2013 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc. 
 *
 * The Original Code is distributed on an 'AS IS' basis, 
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC 
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY 
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET 
 * ENJOYMENT OR NON-INFRINGEMENT. 
 *
 * Do NOT download, distribute, use or alter this software or file in any 
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Shaun A. Johnson <shaun@linuxmagic.com>
 *
 * $Id: month-stats.js 3825 2014-09-29 21:32:38Z shaun $
 */

//! toggle a stat bar when the legend is clicked
/*
 * @param string stat the class to toggle on or of
 * @return none
 * @author Shaun A. Johnson <shaun@linuxmagic.com>
 *
 */
function toggleStat(stat) {
    var rules = new Array();
    var nsheets = document.styleSheets.length;
    var c = 0;
    for ( c = 0; c < nsheets; c++ ) {
        if (document.styleSheets[c].cssRules) {
            rules = document.styleSheets[c].cssRules;
        } else if (document.styleSheets[c].rules) {
            rules = document.styleSheets[c].rules;
        }
        var nrules = rules.length;
        var d = 0;
        for (d = 0; d < nrules; d++) {
            if (rules[d].selectorText) {
                var rselector = rules[d].selectorText;
                if (rselector == stat) {
                    var curval = rules[d].style.visibility;
                    if (curval == "hidden") {
                        rules[d].style.visibility = "visible";
                    } else {
                        rules[d].style.visibility = "hidden";
                    }
                    d = nrules;
                    c = nsheets;
                }
            }
        }
    }
}
