<?php
/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * This file is part of the MagicSpam (TM) Project and is
 * Copyright (c) LinuxMagic Inc. 2018 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc.
 *
 * The Original Code is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
 * ENJOYMENT OR NON-INFRINGEMENT.
 *
 * Do NOT download, distribute, use or alter this software or file in any
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Deion Yu <deiony@linuxmagic.dev>
 *
 * $Id:
 */
include_once('lib.cmdwrapper.php');

class RedFlagsFinder extends cmdWrapper {
    // internal protected singleton.
    static private $object = NULL;
    protected $result = NULL;

    //! static function to get the current singleton instance
    /*!
     * @returns ReplayUtlity  the active singleton instance
     */
    static public function getInstance() {
        if (is_null(self::$object)) {
            self::$object = new self(RED_FLAGS_FINDER);
        }
        return self::$object;
    }

    public function findRedFlags() {
        $args = array("--json-raw");
        $buffer = '';
        // the red flags funder is expected to output a json encoded string
        $rv = $this->execRead($args, $buffer);

        // ensure that the execution was successfuly
        if ($rv !== 0 || !strlen($buffer)) {
            $this->lastError = "Failed to retrieve red flags results";
            return FALSE;
        }

        // decode the json string into an associative array
        $this->result = json_decode($buffer, TRUE);
        if (empty($this->result)) {
            $this->lastError = "Failed to decode red flags results";
            return FALSE;
        }

        return TRUE;
    }

    //! retrieves the result of the replay utility
    public function getResult() {
        return $this->result;
    }
}


