<?php
// so_help_desc is in the help popup. 
$ms_words['so_help_desc'] = 'In this form you can set the maximum number of messages permitted from a single IP address within a 5 minute period. Note: Entering \'0\' here is equivalent to \'unlimited\' (i.e. disables the rate limiter). Clicking <em>advanced options</em> reveals additional settings for more comprehensive control of the rate limiter system.'
    . '<br /><br />Notifications and updates are sent to the <em>Administration Email Address</em>. Please ensure that this is a live email address that is regularly monitored.'
    . '<br /><br />'
    . 'The <em>Number of Days to Store Logs</em> defines the period in which logs are retained by the system. <em>Be sure to not set the number too high as this does require additional disk space and may affect performance of searches.</em> To minimize the risk of excessive disk space usage, there is a maximum limit of 60 days.<br /><br />'
    . 'You can also configure optional subject rewrites and behavior of quarantine settings.';
$ms_words['ld_help_max_inbound_msg'] = "<p><strong>Inbound Message Limit</strong> defines the maximum number of recipients that a single server may send, within the limit defined by the inbound counting period.  This system is designed to provide protection against brute force attacks, and uses weighted additions when server policies are triggered in order to minimize load that can result from such floods of mail traffic.</p><p>If you have specific servers that you expect will need to exceed this limit, you can add an entry in the <a onclick=\"doFormSubmit({'hiddenFields':{'module':'settings','page':'exemption'}});\" href=\"#\">Per IP Rate Limiter Whitelist</a>.</p>";
$ms_words['ld_help_max_outbound_msg'] = "<p><strong>Outbound Message Limit</strong> defines the maximum amount of mail that a single mail address on this server may send, within the limit defined by the outbound counting period.  This system is designed to provide protection against would-be spammers, and prevent diminished performance by blocking users who attempt to send too much email.</p><p>If you have specific mail addresses that you expect will need to exceed this limit, you can add an entry in the <a onclick=\"doFormSubmit({'hiddenFields':{'module':'settings','page':'exemption'}});\" href=\"#\">Per User Rate Limiter Whitelist</a>.</p>";
 
$ms_words['advanced_options'] = "Advanced Options";

/* Rate Limiter section */
$ms_words['rl_inbound_max'] = "Maximum inbound messages permitted.";
$ms_words['rl_outbound_max'] = "Maximum outbound messages permitted.";
$ms_words['rl_flag_timeout'] = "Time period (in minutes) to count messages towards blocking.";
$ms_words['rl_IP_bt'] = "Expiry time period (in minutes) for an IP to be blocked.";
$ms_words['rl_user_bt'] = "Expiry time period (in minutes) for a user to be blocked";
$ms_words['rl_inbound_ml'] = "Inbound Message Limit:";
$ms_words['rl_inbound_cp'] = "Inbound Counting Period:";
$ms_words['rl_inbound_et'] = "Inbound Expiry Time:";
$ms_words['rl_outbound_ml'] = "Outbound Message Limit:";
$ms_words['rl_outbound_cp'] = "Outbound Counting Period:";
$ms_words['rl_outbound_et'] = "Outbound Expiry Time:";
$ms_words['rl_saveFailed'] = "Rate Limiter settings could not be saved!";
$ms_words['rl_NaN'] = "Rate Limiter settings must be valid integer(s).";
$ms_words['ra_outbound_bn_label'] = 'Outbound Block Notification';
$ms_words['ra_outbound_bn_text'] = 'Send notification when account exceeds outbound rate limit';
$ms_words['ra_outbound_bn_help'] = '<p><strong>Outbound Block Notification</strong> sends a notification email to the configured Administrator Email Address whenever an account is blocked by the outbound rate limiter.</p><p>Outbound notification emails will only be sent once per account until:</p><ul><li>the account is unblocked</li><li>the outbound message limit is increased</li><li>the outbound expiry time has passed</li></ul>';

// Admin Email
$ms_words['ae_label'] = 'Administration Email Address:';
$ms_words['ae_txt'] = 'Address receives system notices / updates.';

// Log History
$ms_words["ld_label"] = "Number of days to store logs:";
$ms_words["ld_isBlank"] = "Please enter a number.";
$ms_words["ld_isNaN"] = "Number contains non-numeric characters.";
$ms_words["ld_isLessThanOne"] = "Logs must be stored a minimum of 1 day.";
$ms_words['ld_isMoreThan60'] = "Logs can be stored up to 60 days only.";
$ms_words['ld_saveFailed'] = 'There was a problem saving the new value for the number of days to store logs.';
$ms_words['ld_txt'] = 'Logs can be stored on the server for up to 60 days.';
$ms_words['ld_txtFree'] = 'This limit can only be configured with a license.';

// quarantine system labels
$ms_words['q_rewrite_local']  = "Rewrite Message Subject:";
$ms_words['q_rewrite_remote'] = "Rewrite Remote Message Subject:";
$ms_words['q_rewrite_local_blurb'] = "Rewrite the subject for messages that are flagged as spam.";
$ms_words['q_rewrite_remote_blurb'] = "Rewrite the subject for remote forwards flagged as spam.";
$ms_words['q_rewrite_subject'] = "Rewrite Subject Text:";
$ms_words['q_rewrite_subject_blurb'] = "Text prepended to the Subject header if flagged as spam.";
$ms_words['q_deliver_quarantine'] = "Deliver to Spam folder:";
$ms_words['q_deliver_quarantine_blurb'] = "Deliver messages to Spam folder when flagged as spam.";

$ms_words['q_saveFailed'] = 'Quarantine / Tagging settings could not be saved!';

// php timezone setting
$ms_words['php_tz_label'] = 'PHP Timezone:';
$ms_words['php_tz_text'] = 'PHP Timezone specific to the MagicSpam interface.';
$ms_words['php_tz_missing_fail'] = 'The PHP Timezone setting is missing.';
$ms_words['php_tz_save_fail'] = 'There was a problem saving the PHP Timezone setting.';
$ms_words['php_tz_unknown_fail'] = 'The PHP Timezone setting is unknown.';
// server ip on bms report mode setting
$ms_words['server_ip_on_bms_report_mode_daily_hit_only'] = 'Once per day, only when listed';
$ms_words['server_ip_on_bms_report_mode_daily'] = 'Once per day';
$ms_words['server_ip_on_bms_report_mode_hit_only'] = 'When BMS lists update, only when listed';
$ms_words['server_ip_on_bms_report_mode_never'] = 'Never';
$ms_words['server_ip_on_bms_report_mode_label'] = 'Server IP on BMS Report Mode:';
$ms_words['server_ip_on_bms_report_mode_text'] = 'Controls when and under what condition the report gets sent.';
$ms_words['server_ip_on_bms_report_mode_help'] = '<p><strong>Server IP on BMS Report</strong> checks the IP addresses associated with the server against the BMS lists and reports the results to the admin email.</p><p><strong>Server IP on BMS Report Mode</strong> defines when and under what condition the Server IP on BMS report gets sent. Note that the BMS lists are updated every 6 hours.</p>';
$ms_words['server_ip_on_bms_report_mode_missing_fail'] = 'The server IP on BMS report mode setting is missing.';
$ms_words['server_ip_on_bms_report_mode_save_fail'] = 'There was a problem saving the server IP on BMS report mode setting.';
$ms_words['server_ip_on_bms_report_mode_unknown_fail'] = 'The server IP on BMS report mode setting is unknown.';

// ms locale setting
$ms_words['ms_locale_label'] = 'MagicSpam Locale:';
$ms_words['ms_locale_text'] = 'Locale specific to the MagicSpam interface.';
$ms_words['ms_locale_missing_fail'] = 'The MagicSpam Locale setting is missing.';
$ms_words['ms_locale_save_fail'] = 'There was a problem saving the MagicSpam Locale setting.';
$ms_words['ms_locale_unknown_fail'] = 'The MagicSpam Locale setting is unknown.';
