<?php
/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * This file is part of MagicSpam (TM) Project and is
 * Copyright (c) LinuxMagic Inc. 2008-2018 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc.
 *
 * The Original Code is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
 * ENJOYMENT OR NON-INFRINGEMENT.
 *
 * Do NOT download, distribute, use or alter this software or file in any
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Logan Borean <loganb@linuxmagic.com>
 *
 * $Id: monthStatsModule.php 4617 2014-12-17 18:51:59Z shaun $
 */
require_once('lib.basestatsmodule.php');

class inboundStatsModule extends BaseStatsModule {


    //! class constructor
    /*!
     * @param   string  the 'label' that is used for links, and locale.
     *
     * @author         Logan Borean <loganb@linuxmagic.com>
     */
    public function __construct($l) {
        parent::__construct($l, FALSE);
    }

    //! method to process any actions and react accordingly.
    /*!
     * @param   string  the action being requested.
     * @param   array   the array where error messages can be stacked.
     * @param   array   the array where any 'friendly' notices can be stacked.
     *
     * @author         Logan Borean <loganb@linuxmagic.com>
     */
    public function actionProcessor($action, &$errors, &$notices) {
    }


    //! method to render the full page module.
    /*!
     * @author         Logan Borean <shaun@linuxmagic.com>
     */
    public function renderModule() {
        global $module;

        // 5 Highest Receivers (Address)
        $fiveHighestReceiversAddressTable = $this->getStatsTable('receiver', array('muaOnly' => FALSE));

        // 5 Highest Receivers (Domain)
        $fiveHighestReceiversDomainTable = $this->getStatsTable('receiver_domain', array('muaOnly' => FALSE));

        $this->_i18n_js[] = 'highestDRecipientsHelp';
        $this->_i18n_js[] = 'highestRecipientsHelp';

        $data = array();
        $data[0]['value'] = $fiveHighestReceiversAddressTable;
        $data[0]['label'] = intl('todayStatsRecips');
        $data[0]['JSlabel'] = 'highestDRecipientsHelp';

        $data[1]['value'] = $fiveHighestReceiversDomainTable;
        $data[1]['label'] = intl('todayStatsDRecips');
        $data[1]['JSlabel'] = 'highestRecipientsHelp';

        renderTemplate('stats', array(
                                     'module'               => $module,
                                     'submodule'            => 'inboundStats',
                                     'showSelection'        => TRUE,
                                     'numSelections'        => $this->getNumSelections(),
                                     'data'                 => $data,
                                     'help'                 => intl('help')
                                     ));

    }




}
