<?php
/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * This file is part of MagicSpam (TM) Project and is
 * Copyright (c) LinuxMagic Inc. 2008-2018 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc.
 *
 * The Original Code is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
 * ENJOYMENT OR NON-INFRINGEMENT.
 *
 * Do NOT download, distribute, use or alter this software or file in any
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Logan Borean <loganb@linuxmagic.com>
 *
 * $Id: monthStatsModule.php 4617 2014-12-17 18:51:59Z shaun $
 */
require_once('lib.basestatsmodule.php');


class spamStatsModule extends BaseStatsModule {

    //! class constructor
    /*!
     * @param   string  the 'label' that is used for links, and locale.
     *
     * @author         Logan Borean <loganb@linuxmagic.com>
     */
    public function __construct($l) {
        parent::__construct($l, FALSE);
    }


    //! method to render the full page module.
    /*!
     * @author         Logan Borean <shaun@linuxmagic.com>
     */
    public function renderModule() {
        global $module;

        // Spam Rules Statistics
        $spamRulesStatsTable = $this->getStatsTable('spam_rules', array(), TRUE);

        // IP Reputation Statistics
        $ipRepStatsTable = $this->getStatsTable('ip_reputation', array(), TRUE);

        // Determines IP Rep Stats label based on license status
        $ipRepLabel = intl('todayStatsRHS');
        if (!isFreemium()) {
            $ipRepLabel = intl('todayStatsBMS');
        }


        $this->_i18n_js[] = 'spamRuleHelp';
        $this->_i18n_js[] = 'ipRepHelp';

        $data = array();
        $data[0]['value'] = $spamRulesStatsTable;
        $data[0]['label'] = intl('todayStatsLHS');
        $data[0]['JSlabel'] = 'spamRuleHelp';

        $data[1]['value'] = $ipRepStatsTable;
        $data[1]['label'] = $ipRepLabel;
        $data[1]['JSlabel'] = 'ipRepHelp';

        renderTemplate('stats', array(
                                     'module'      => $module,
                                     'submodule'   => 'spamStats',
                                     'data'        => $data,
                                     'help'        => intl('help')
                                     ));
    }

}
