<?php
/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * This file is part of the MagicSpam (TM) Product line and is
 * Copyright (c) LinuxMagic Inc. 2008-2014 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc.
 *
 * The Original Code is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
 * ENJOYMENT OR NON-INFRINGEMENT.
 *
 * Do NOT download, distribute, use or alter this software or file in any
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): William Storey <william@linuxmagic.com>
 *
 * $Id: systemAlertModule.php 3825 2014-09-29 21:32:38Z shaun $
 */
require_once('lib.notification_module.php');

class systemAlertModule extends NotificationModule {
    //! class constructor
    /*!
     * @param string $l the 'label' that is used for links, and locale.
     * @param int $feedID The feed ID to work with.
     *
     * @author William Storey <william@linuxmagic.com>
     *
     * @constructor
     */
    public function __construct($l) {
        // NOTE: I'm choosing to not re-do parameter checks here - see
        //   parent.
        parent::__construct($l, ALERT_FEED_ID);

        $this->_submodule = 'systemAlert';
        // set some of the per alert messages.
        $this->_msg_alert_marked_read = 'sa_marked_alerts_read';
        $this->_msg_alert_marked_read_single = 'sa_marked_alert_read';
        $this->_msg_alert_blurb = 'sa_system_blurb';
        $this->_msg_alert_no_alerts = 'systemAlertNoAlerts';
        $this->_msg_alert_no_new_alerts = 'systemAlertNoNewAlerts';
    }
}
