<?php
/* vim:et:sw=4:ts=4
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * Copyright (c) LinuxMagic Inc. 2008-2019 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc.
 *
 * The Original Code is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
 * ENJOYMENT OR NON-INFRINGEMENT.
 *
 * Do NOT download, distribute, use or alter this software or file in any
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s):  Shaun A. Johnson <shaun@linuxmagic.com>
 *
 * $Id: userRLWhiteListModule.php 10395 2019-09-16 18:11:15Z deiony $
 */

require_once('lib.entryform.php');

class userRLWhiteListModule extends EntryForm {
    //! class constructor
    /*!
     * @param   string  the 'label' that is used for links, and locale.
     * @author         Shaun A. Johnson <shaun@linuxmagic.com>
     */
    public function __construct($l) {
        parent::__construct($l);
        $this->name = "user_rl";
        $this->submodule = "userRLWhiteList";
        $this->cmd_flag = "-o";
        $this->entry_type = EntryForm::ENTRY_EMAIL;
        $this->form_id = "{$this->name}_form";
        $this->allow_wildcards = "TRUE";
        $this->localization = array(
            "desc" => "rl_user_desc",
            "header" =>"rl_user_header",
            "table_header" => "rl_user_table_header",
        );
    }
}
